Name:           xen-shell
Version:        1.9
Release:        1.1
Summary:        shell to control a xen vm

Group:          Applications/Emulators
License:        GPLv2 or Artistic
URL:            http://www.xen-tools.org/software/xen-shell/
Source0:        http://www.xen-tools.org/software/xen-shell/xen-shell-%{version}.tar.gz
Patch0:		xen-shell-makefile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       perl
AutoReqProv:    no

%description
The Xen shell is a simple console application which allows you to easily allow a user to control multiple Xen instances, without the overhead of a web-based control panel.

Using this shell users may:

    * Boot/Shutdown their Xen guest.
    * Reboot their Xen guest.
    * Connect to the serial console of their runing Xen guest.
    * Reimage their system to a pristine state, via xen-tools.
    * Manipulate their reverse DNS information
    * Change their login password.

%prep
%setup -q -n %{name}-%{version}
%patch

%build

%install
rm -rf %{buildroot}
%{__install} -m 755 -d %{buildroot}%{_bindir}
%{__install} -m 755 -d %{buildroot}%{_mandir}/man1
%{__install} -m 755 -d %{buildroot}%{_sysconfdir}/bash_completion.d
%{__install} -m 755 -d %{buildroot}%{_sysconfdir}/%{name}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc BUGS README
%config(noreplace) %{_sysconfdir}/xen-shell
%{_sysconfdir}/bash_completion.d/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Nov 30 2008 Carsten Schoene <cs@linux-administrator.com>
- update to release 1.9
 - This release allows the user to start up their Xen guest and immediately
   view any console output. This is almost mandatory when pygrub is being used. 
* Thu Mar 27 2008 Carsten Schoene <cs@linux-administrator.com>
- Initial build

